# Unpackaged files in buildroot should terminate build
%define _unpackaged_files_terminate_build 1

Name: nano
Version: 2.0.6
Release: alt1

Summary: Pico editor clone with enhancements
License: GPL
Group: Editors
Url: http://www.nano-editor.org
Packager: Artem Zolochevskiy <azol@altlinux.ru>

Source0: http://www.nano-editor.org/dist/v2.0/%name-%version.tar.gz
Source1: %name.menu

# Gets from Debian package:
# debian.org/debian/pool/main/n/nano/nano_1.9.99pre2-1.diff.gz
Source2: %name.xpm

Source3: nanorc

# You can find this sources here:
# http://gentoo-wiki.com/TIP_Nano_Context_Highlighting
Source4: php.nanorc
Source5: xorg.nanorc
Source6: xml.nanorc
Source7: css.nanorc

BuildRequires: libncursesw-devel

%description
GNU nano is a small and friendly text editor.  It aims to emulate the
Pico text editor while also offering a few enhancements.

%prep
%setup

%build
%configure --enable-all
%make_build --silent --no-print-directory

%install
%make_install DESTDIR=%buildroot install --silent --no-print-directory

# install menu file
install -pD -m 644 %SOURCE1 %buildroot%_menudir/%name

# install icon
install -pD -m 644 %SOURCE2 %buildroot%_niconsdir/%name.xpm

# install config file
install -pD -m 644 %SOURCE3 %buildroot%_sysconfdir/nanorc

# additional files for syntax highlighting
install -pD -m 644 %SOURCE4 %buildroot%_datadir/%name/php.nanorc
install -pD -m 644 %SOURCE5 %buildroot%_datadir/%name/xorg.nanorc
install -pD -m 644 %SOURCE6 %buildroot%_datadir/%name/xml.nanorc
install -pD -m 644 %SOURCE7 %buildroot%_datadir/%name/css.nanorc

# find *.mo files and mans for nano
%find_lang --with-man %name

# find mans for nanorc only
%find_lang --without-mo --append --with-man nanorc --output %name.lang

# compress ChangeLog
gzip ChangeLog

# COPYING as symlink
ln -sf %_licensedir/GPL-2 COPYING

%post
%install_info %name.info
%update_menus

%preun
%uninstall_info %name.info

%postun
%clean_menus

%files -f %name.lang
%doc -d ABOUT-NLS AUTHORS BUGS COPYING ChangeLog.gz NEWS README README.CVS THANKS TODO UPGRADE
%doc doc/faq.html doc/nanorc.sample
%_bindir/%name
%_bindir/r%name
%_datadir/%name/
%_infodir/%name.info.*
%_menudir/%name
%_niconsdir/%name.xpm
%config(noreplace) %_sysconfdir/nanorc

%changelog
* Sat Apr 28 2007 Artem Zolochevskiy <azol@altlinux.ru> 2.0.6-alt1
- Updated to version 2.0.6

* Mon Apr 23 2007 Artem Zolochevskiy <azol@altlinux.ru> 2.0.5-alt1
- Updated to version 2.0.5

* Fri Apr 13 2007 Artem Zolochevskiy <azol@altlinux.ru> 2.0.4-alt1
- Updated to version 2.0.4

* Wed Feb 07 2007 Artem Zolochevskiy <azol@altlinux.ru> 2.0.3-alt1
- Updated to version 2.0.3

* Mon Dec 25 2006 Artem Zolochevskiy <azol@altlinux.ru> 2.0.2-alt1
- Updated to version 2.0.2
- Changed summary and description
- Added COPYING as symlink
- Added ABOUT-NLS, NEWS to package
- Compressed ChangeLog

* Mon Nov 20 2006 Slava Semushin <php-coder@altlinux.ru> 2.0.1-alt1
- 2.0.1

* Fri Nov 17 2006 Slava Semushin <php-coder@altlinux.ru> 2.0.0-alt2
- Added some changes from azol@:
  + enable smarthome in configuration file
  + enable syntax highlighting for POV-Ray
  + remove inutile spaces in configuration file
  + change section in menu file to "Applications/Editors"

* Sun Nov 12 2006 Slava Semushin <php-coder@altlinux.ru> 2.0.0-alt1
- Added global configuration file, which turns on
  (joint work with azol@):
  + autoindent (use auto-indentation)
  + const (constantly display the cursor position in the statusbar)
  + historylog (enable ~/.nano_history for saving and reading
    search/replace strings)
  + morespace (do not displaying empty line after titlebar)
  + mouse (enable mouse support)
  + nonewlines (don't add newlines to the ends of files)
  + nowrap (don't add newlines to the ends of files)
  + smooth (use smooth scrolling)
  + suspend (allow nano to be suspended)
  + enable syntax highlighting for nanorc, C/C++, HTML, TeX, quoted
    emails, patches, man pages, groff, Perl, Python, Ruby, Java,
    Assembler, Bash
- Added syntax highlighting (and enable by default) for PHP, XML, CSS
  and xorg.conf file (picked up from http://gentoo-wiki.com site)
- Added icon from Debian (idea from azol@)
- Change url in Source tag to official site

* Wed Nov 08 2006 Slava Semushin <php-coder@altlinux.ru> 2.0.0-alt0
- Updated to version 2.0.0 (#10246)
- Changed Packager to Artem Zolochevskiy aka azol@
- Added AUTHORS, BUGS, ChangeLog, README, THANKS, TODO, UPGRADE,
  faq.html and nanorc.sample to package
- Updated BuildRequires (build with libncursesw)
- Added full url to Source tag
- Added menu file
- Formatted %%description
- Spec cleanup
- Running make with --no-print-directory and --silent options
- Use %%find_lang for finding nanorc manual pages
- Using %%{un,}install_info for registry info pages (thanx to icesik@)
- Enable _unpackaged_files_terminate_build

* Wed Apr 26 2006 Dmitry Marochko <mothlike@altlinux.ru> 1.3.11-alt1
- New version
- Enabled extra functionality

* Sun Mar 19 2006 Dmitry Marochko <mothlike@altlinux.ru> 1.3.10-alt1
- Initial build for Sisyphus
